% I prgramma determina i parametri fondamentali per la progettazione
% del velivolo monomotore con specifiche assegnate
clear all
clc
disp('Caratteristiche di velivoli simili');
disp('CLmax con flaps abbassati=[1.6,2.3]');
disp('CLmax con flaps alzati=[1.3,1.9]');
disp('* * * * * * * * * *');
CLmax=input('CLmax con flaps alzati: ');
CLmaxl=input('CLmax con flaps completamente abbassati: ');
CLmaxto=input('CLmax al decollo: ');
Wto=3405;
ro=0.002377;
%Dimensionamento in base alla distanza di atterraggio
SL=1500;
SLG=SL/1.938;
%Vsl in Kts
Vsl=sqrt(SL/0.5136);
%Esprimo Vsl in ft/s
Vsl=Vsl*1.688;
WsuSmassimo1=Vsl^2*0.5*ro*CLmaxl;
%prima limitazione nella velocit di stallo derivante dalla corsa d'atterraggio
Vsl=Vsl/1.688;
disp('* * * * * * * * * * *');
disp('Per certificazioni FAR 23 la velocit di stallo all''atterraggio deve essere minore di 61 kts');
disp(['In base alla limitazione dovuta all''atterraggio inserire una velocit di stallo minore di ',num2str(Vsl),' Kts: ']);
Vsl=input('Velocit di stallo con flaps abbassati in kts: ');
disp('In genere la velocit di stallo con flaps alzati  maggiore di quella con flaps abbassati di circa 6 Kts'); 
Vs=input('Velocit di stallo con flaps alzati in kts: ');
%Converto la velocit in ft/s
Vsl=Vsl*1.688;
Vs=Vs*1.688;
%Limitazioni dovute alla velocit di stallo nelle due configurazioni
WsuSmassimo2=Vs^2*ro/2*CLmax;
WsuSmassimo3=Vsl^2*ro/2*CLmaxl;
WsuSmassimo=min([WsuSmassimo1 WsuSmassimo2 WsuSmassimo3]);
disp('* * * * * * * * * * *');
disp('Categoria velivolo: monomotore');
c=1.0892;
d=0.5147;
a=input('Inserisci il coefficiente a (da tab. 3.4): ');
b=input('Inserisci il coefficiente b (da tab. 3.4): ');
%Calcolo la superficie bagnata
Swet=10^(c+d*log10(Wto));
%Calcolo l'area parassita
f=10^(a+b*log10(Swet));
disp('* * * * * * * * * * *');
WsuS=input(['Inserisci un valore di W/S che sia minore di ',num2str(WsuSmassimo),' in [lb/ft^2]: ']);
S=Wto/WsuS;
CD0=f/S;
disp('* * * * * * * * * *');
disp('Ecco i valori che ho calcolato:');
disp('Carico alare W/S in lb/ft^2: ');
disp(WsuS);
disp('Superficie del velivolo in ft^2: ');
disp(S);
disp('Coefficiente di resistenza minimo del velivolo: ');
disp(CD0);
disp('Valore tipico: 0.035');
disp('* * * * * * * * * *');
disp('Valori tipici del carico alare per velivoli simili in lb/ft^2: ');
disp('Cirrus SR-22  ------> 23.5');
disp('Lancair Columbia 400 ------> 24');
disp('Mooney M-20 M ------> 19.3');
disp('Beechcraft Bonanza A36 ------> 20.2');
disp('Valori tipici della superficie alare di velivoli simili in ft^2: ');
disp('Cirrus SR-22  ------> 144.9');
disp('Lancair Columbia 400 ------> 142');
disp('Mooney M-20 M ------> 174.5');
disp('Beechcraft Bonanza A36 ------> 181');
disp('Se i valori ottenuti sono eccessivamente dissimili  necessario'); 
disp('cambiare i valori della velocit di stallo e dei coefficienti di portanza massimi');
disp('* * * * * * * * * *');
disp('Valori tipici dell''apertura alare per velivoli simili in ft: ');
disp('Cirrus SR-22 ------> 38.6');
disp('Lancair Columbia 400 ------> 36.1');
disp('Mooney M-20 M ------> 36.1');
disp('Beechcraft Bonanza A36 ------> 33.6');
b=input('Apertura alare in ft: ');
AR=b^2/S;
%Calcolo delle polari nelle varie configurazioni
deltaCD0TO=0.015;
deltaCD0L=0.065;
deltaCD0gear=0.020;
e=0.82;
eTO=0.77;
eL=0.72;
CL=[-CLmaxl:0.01:CLmaxl];
CD=CD0+CL.^2/(pi*AR*e);
CDTOnogear=CD0+deltaCD0TO+CL.^2/(pi*AR*eTO);
CDTOgear=CD0+deltaCD0TO+deltaCD0gear+CL.^2/(pi*AR*eTO);
CDLnogear=CD0+deltaCD0L+CL.^2/(pi*AR*eL);
CDLgear=CD0+deltaCD0L+deltaCD0gear+CL.^2/(pi*AR*eL);
figure(1);
plot(CD,CL,'b',CDTOnogear,CL,'r',CDTOgear,CL,'y',CDLnogear,CL,'g',CDLgear,CL,'black');
grid on;
xlabel('CD');
ylabel('CL');
title('Polari del velivolo nelle diverse configurazioni');
legend('configurazione pulita','decollo con carrello retratto','decollo con carrello estratto','atterraggio con carrello retratto','atterraggio con carrello estratto');
%Determinazione del punto di progetto
RC=850;
caricoalare=[5:0.01:WsuS+5];
%limitazioni dovute alla corsa di decollo
pesosupotenzaTO=153.47*CLmaxto./caricoalare;
%limitazioni dovute al rateo di salita
pesosupotenzaRC=19*max(abs(CL).^(3/2)./CDTOnogear)*33000*0.80./(33000*1.1*sqrt(caricoalare)+RC*1.1*19*max(abs(CL).^(3/2)./CDTOnogear));
%limitazioni dovute alla corsa d'atterraggio
caricoalareL=WsuSmassimo1;
%limitazioni dovute alla velocit di stallo nelle configurazioni pulita,atterraggio
caricoalarestallopulito=Vs^2*ro/2*CLmax;
caricoalarestalloatterraggio=Vsl^2*ro/2*CLmaxl;
%limitazioni dovute al gradiente di salita
E=(CLmaxto-0.2)/(CD0+deltaCD0TO+(CLmaxto-0.2)^2/(pi*AR*eTO));
pesosupotenzaCGR=19.97*0.80*1*sqrt(CLmaxto-0.2)./((1/12+1/E)*1.1*sqrt(caricoalare));
%limitazioni dovute al gradiente di salita in caso di atterraggio mancato
E=(CLmaxl-0.2)/(CD0+deltaCD0L+deltaCD0gear+(CLmaxl-0.2)^2/(pi*AR*eL));
pesosupotenzaCGRnoL=19.97*0.80*1*sqrt(CLmaxl-0.2)./((1/30+1/E)*sqrt(caricoalare));
%limitazioni dovute alla velocit massima
%z=quota di crociera
z=3048;
epsilon=(1-2.25e-5*z)^4.25;
V=280;
%mediante il programma in mathcad ho calcolato la regressione lineare
%per l'indice di potenza
Vmaxcs=146;
Vmaxcst=187;
Vmaxc185=154;
Vmaxcs6=156;
Vmaxcs6t=174;
Vmaxb=182;
Vmaxipa=124;
Vmaxgrob=172;
Vmaxfaci=148;
Vmaxpip=187;
Ipmaxcs=1.10;
Ipmaxcst=1.36;
Ipmaxc185=1.20;
Ipmaxcs6=1.20;
Ipmaxcs6t=1.45;
Ipmaxb=1.16;
Ipmaxipa=1.12;
Ipmaxgrob=1.22;
Ipmaxfaci=1.21;
Ipmaxpip=1.19;
pendenza=4.026e-3;
tnoto=0.545;
appo1=[0:1:200];
appo2=pendenza*appo1+tnoto;
figure(2);
plot(Vmaxcs,Ipmaxcs,'oblack',Vmaxcst,Ipmaxcst,'xblack',Vmaxcs6,Ipmaxcs6,'dblack',Vmaxcs6t,Ipmaxcs6t,'sblack',Vmaxc185,Ipmaxc185,'*black',Vmaxb,Ipmaxb,'+black',Vmaxipa,Ipmaxipa,'^black',Vmaxgrob,Ipmaxgrob,'vblack',Vmaxfaci,Ipmaxfaci,'>black',Vmaxpip,Ipmaxpip,'hblack',appo1,appo2,'-black');
grid on;
xlabel('velocit massima [kts]');
ylabel('indice di potenza [hp/ft^2]^(1/3)');
legend('Cessna Skyline','Cessna Skyline turbo','Cessna 185 Skywagon','Cessna Stationair 6','Cessna Stationair 6 turbo','Beechcraft Bonanza F33A','Meiva EMB 202 Ipanema','Grob 120A','Faci F-3','Piper PA32R-301 T Saratoga II TC','regressione lineare');
title('Indice di potenza');
%la velocit massima del mio velivolo  in Km/s:devo convertirla in kts
Vmax=280*0.539;
Ipmax=pendenza*Vmax+tnoto;
tipo=input('Tipo di motore:turbo (t) - a pistoni (p): ','s');
if tipo=='t'
   zris=input('quota di ristabilimento [metri]: ');
   epsilonr=(1-2.25e-5*zris)^4.25;
   if zris>=3048;
      Kz=1;
   else
      Kz=1.05-1.22741*(epsilonr-epsilon);
   end
else
   Kz=epsilon^1.22;
end
Kv=1;
fi=1;
pesosupotenzaVmax=Kz*Kv*fi/(epsilon*Ipmax^3)*caricoalare;
clear pendenza appo1 appo2 tnoto
%limitazioni dovute alla velocit di crociera
%mediante il programma in mathcad ho calcolato la regressione lineare
%per l'indice di potenza
Vcrcs=142;
Vcrcst=158;
Vcrc185=147;
Vcrcs6=147;
Vcrcs6t=152;
Vcrb=168;
Vcripa=115;
Vcrgrob=166;
Vcrfaci=120;
Vcrmoon=195;
Vcrpip=175;
Ipcs=0.98;
Ipcst=1.11;
Ipc185=1.07;
Ipcs6=1.07;
Ipcs6t=1.18;
Ipb=1.01;
Ipipa=1.00;
Ipgrob=1.10;
Ipfaci=1.03;
Ipmoon=1.20;
Ippip=1.19;
pendenza=3.898e-3;
tnoto=0.498;
appo1=[0:1:200];
appo2=pendenza*appo1+tnoto;
figure(3);
plot(Vcrcs,Ipcs,'oblack',Vcrcst,Ipcst,'xblack',Vcrcs6,Ipcs6,'dblack',Vcrcs6t,Ipcs6t,'sblack',Vcrc185,Ipc185,'*black',Vcrb,Ipb,'+black',Vcripa,Ipipa,'^black',Vcrgrob,Ipgrob,'vblack',Vcrfaci,Ipfaci,'>black',Vcrmoon,Ipmoon,'<black',Vcrpip,Ippip,'hblack',appo1,appo2,'-black');
grid on;
xlabel('velocit di crociera [kts]');
ylabel('indice di potenza [hp/ft^2]^(1/3)');
legend('Cessna Skyline','Cessna Skyline turbo','Cessna 185 Skywagon','Cessna Stationair 6','Cessna Stationair 6 turbo','Beechcraft Bonanza F33A','Meiva EMB 202 Ipanema','Grob 120A','Faci F-3','Mooney M20M Bravo','Piper PA32R-301 T Saratoga II TC','regressione lineare');
title('Indice di potenza');
%la velocit di crociera del mio velivolo  in m/s:devo convertirla in kts
Vcr=280/1.852;
Ip=pendenza*Vcr+tnoto;
Kv=1;
fi=0.75;
pesosupotenzaVcr=Kz*Kv*fi/(epsilon*Ip^3)*caricoalare;
figure(4);
plot(caricoalare,pesosupotenzaTO,'r',caricoalare,pesosupotenzaRC,'--r',[caricoalareL caricoalareL],[0 40],'b',[caricoalarestallopulito caricoalarestallopulito],[0 40],'--b',[caricoalarestalloatterraggio caricoalarestalloatterraggio],[0 40],'black',caricoalare,pesosupotenzaCGR,'--black',caricoalare,pesosupotenzaCGRnoL,'g',caricoalare,pesosupotenzaVmax,'y',caricoalare,pesosupotenzaVcr,'--y');
grid on;
xlabel('W/S [lb/ft^2]');
ylabel('W/P [lb/hp]');
title('Curve per la determinazione del punto di progetto');
legend('limitazioni dovute alla corsa di decollo','limitazioni dovute al rateo di salita','limitazioni dovute alla corsa d''atterraggio','limitazioni dovute alla velocit di stallo in configurazione pulita','limitazioni dovute alla velocit di stallo in configurazione d''atterraggio','limitazioni dovute al gradiente di salita','limitazioni dovute al gradiente di salita in caso di atterraggio mancato','limitazioni dovute alla velocit massima','limitazioni dovute alla velocit di crociera');
WsuP=input('Inserisci il carico di potenza [lb/hp]: ');
figure(4);
hold on;
plot(17.8,13.5,'hb',17.8,13.2,'h','markerfacecolor','b');
figure(4);
hold on;
plot(20.7,12.0,'hb',20.7,11.6,'h','MarkerFaceColor','b');
figure(4);
hold on;
plot(19.3,11.2,'hb',18.8,11.93,'hb');
figure(4);
hold on;
plot(15.92,11.39,'hb',22.18,12.20,'hb');
figure(4),
hold on;
plot(23.08,12.90,'hb',19.25,12.47,'h','markerfacecolor','b');
figure(4);
hold on;
plot(20.19,12,'h','markerfacecolor','b');
figure(4);
hold on;
plot(WsuS,WsuP,'o','markerfacecolor','b');
