%Terza fase del progetto:scelta dell'elica
clear all
clc
disp('Tipo elica: tripala');
%Dati gi determinati
%Peso del velivolo in N
W=15165;
%Superficie alare in m^2
S=16.475;
%Apertura alare in m
b=36*0.3048;
%Potenza in hp
P=274;
AR=b^2/S;
CD0=0.0291;
e=0.86;
%Condizioni di crociera
%quota in m
z=10000*0.3048;
ro=1.225*(1-2.25e-5*z)^4.25;
%V in m/s
V=250*1000/3600;
CL=W/(0.5*ro*V^2*S);
CD=CD0+CL^2/(pi*AR*e);
fi=input('Potenza utilizzata in crociera in percentuale della potenza massima: ');
P=fi/100*P;
%esprimo la potenza in Watt
P=P*745.699;
n=input('Numero di giri al minuto dell''elica: ');
%esprimo n in giri al secondo
n=n/60;
Cs=(ro*V^5/(P*n^2))^(1/5);
disp('Consulta il diagramma dell''elica tripala');
disp(['Coefficiente di scelta= ',num2str(Cs)]);
beta=input('Angolo delle pale dell''elica: ');
gamma=input('Rapporto di funzionamento dell''elica: ');
eta=input('Rendimento dell''elica: ');
CT=input('Coefficiente di spinta dell''elica: ');
D=V/(n*gamma);
continua='s';
while continua=='s';
   vecchio=V;
   CL=W/(0.5*ro*V^2*S);
   CD=CD0+CL^2/(pi*AR*e);
   gamma=sqrt(2*CT*D^2/(CD*S));
   V=gamma*n*D;
   Cs=(ro*V^5/(P*n^2))^(1/5);
   disp('Consulta il diagramma dell''elica tripala');
   disp(['Coefficiente di scelta= ',num2str(Cs)]);
   beta=input('Angolo delle pale dell''elica: ');
   gamma=input('Rapporto di funzionamento dell''elica: ');
   eta=input('Rendimento dell''elica: ');
   CT=input('Coefficiente di spinta dell''elica: ');
   D=V/(n*gamma);
   scarto=(abs(V-vecchio)/vecchio)*100;
   disp(['Differenza con il valore calcolato in precedenza: ',num2str(scarto),' % ']);
   continua=input('Vuoi iterare il procedimento? (s),(n): ','s');
end
disp('* * * * * * * *');
disp('Caratteristiche dell''elica: ');
disp('Diametro dell''elica in metri: ');
disp(D);
disp('Angolo delle pale dell''elica (al 75% del raggio) in gradi');
disp(beta);
disp('Velocit d''avanzamento in Km/h: ');
disp(V*3600/1000);
