%Fase 4 del progetto:determinazione delle prestazioni (spinta,potenza) disponibili
clc
clear all
%Caratteristiche gi determinate
%Peso in N
W=3405*4.45;
S=16.3;
AR=7.31;
e=0.91;
CD0=0.034;
%D=diametro elica in metri
D=2.18;
%P=potenza max motore in W
P=204400;
%Poich tutte le quote a cui eseguiremo i calcoli sono inferiori
%alla quota di ristabilimento riterremo la potenza erogata dal motore costante
%velocit di rotazione dell'elica in giri/sec
n=2200/60;
%quote a cui eseguire i calcolo in metri
z1=0*0.3048;
ro1=1.25*(1-2.25e-5*z1)^4.25;
z2=5000*0.3048;
ro2=1.25*(1-2.25e-5*z2)^4.25;
%z3=quota di crociera
z3=10000*0.3048;
ro3=1.25*(1-2.25e-5*z3)^4.25;
z4=15000*0.3048;
ro4=1.25*(1-2.25e-5*z4)^4.25;
%Determino le caratteristiche dell'elica in un numero finito di punti
%V=velocit in m/s
V=[15.98 23.98 31.98 39.97 47.96 55.96 63.95 71.95 79.94 87.93 95.93];
gamma=V/(n*D);

%Calcoli relativi alla quota z1

CP1=P/(ro1*n^3*D^5);
CT1=[0.132 0.12 0.11 0.10 0.09 0.08 0.072 0.065 0.06 0.054 0.05];
eta1=CT1.*gamma/CP1;
%T1=spinta disponibile a quota z1 in Newton
T1=CT1*ro1*n^2*D^4;
%P1=potenza disponibile a quota z1 in Watt
P1=T1.*V;

%Calcoli relativi alla quota z2

CP2=P/(ro2*n^3*D^5);
CT2=[0.145 0.13 0.12 0.11 0.10 0.09 0.08 0.075 0.068 0.062 0.058];
eta2=CT2.*gamma/CP2;
%T2=spinta disponibile a quota z2 in Newton
T2=CT2*ro2*n^2*D^4;
%P1=potenza disponibile a quota z2 in Watt
P2=T2.*V;

%Calcoli relativi alla quota z3 -----> quota di crociera

CP3=P/(ro3*n^3*D^5);
CT3=[0.152 0.145 0.138 0.125 0.115 0.105 0.095 0.085 0.08 0.074 0.07];
eta3=CT3.*gamma/CP3;
%T3=spinta disponibile a quota z3 in Newton
T3=CT3*ro3*n^2*D^4;
%P3=potenza disponibile a quota z3 in Watt
P3=T3.*V;

%Calcoli relativi alla quota z4

CP4=P/(ro4*n^3*D^5);
CT4=[0.154 0.153 0.149 0.14 0.13 0.12 0.11 0.10 0.092 0.086 0.08];
eta4=CT4.*gamma/CP4;
%T4=spinta disponibile a quota z4 in Newton
T4=CT4*ro4*n^2*D^4;
%P4=potenza disponibile a quota z4 in Watt
P4=T4.*V;

%Prestazioni necessarie al volo orizzontale

CL1=W./(0.5*ro1*V.^2*S);
CD1=CD0+CL1.^2/(pi*AR*e);
Tn1=CD1.*0.5.*ro1.*V.^2.*S;
Pn1=Tn1.*V;
CL2=W./(0.5*ro2*V.^2*S);
CD2=CD0+CL2.^2/(pi*AR*e);
Tn2=CD2.*0.5.*ro2.*V.^2.*S;
Pn2=Tn2.*V;
CL3=W./(0.5*ro3*V.^2*S);
CD3=CD0+CL3.^2/(pi*AR*e);
Tn3=CD3.*0.5.*ro3.*V.^2.*S;
Pn3=Tn3.*V;
CL4=W./(0.5*ro4*V.^2*S);
CD4=CD0+CL4.^2/(pi*AR*e);
Tn4=CD4.*0.5.*ro4.*V.^2.*S;
Pn4=Tn4.*V;

%Diagrammi delle spinte e delle potenze necessarie e disponibili

figure(1);
plot(V*3600/1000,T1/10,'b',V*3600/1000,Tn1/10,'--b',V*3600/1000,T2/10,'black',V*3600/1000,Tn2/10,'--black',V*3600/1000,T3/10,'r',V*3600/1000,Tn3/10,'--r',V*3600/1000,T4/10,'g',V*3600/1000,Tn4/10,'--g');
grid on;
xlabel('Velocit di volo [Km/h]');
ylabel('Spinta [kg]');
title('Spinta necessaria e disponibile a varie quote');
legend('spinta disponibile a quota 0 ft','spinta necessaria a quota 0 ft','spinta disponibile a quota 5000 ft','spinta necessaria a quota 5000 ft','spinta disponibile a 10000 ft (quota di crociera)','spinta necessaria a quota 10000 ft (quota di crociera)','spinta disponibile a quota 15000 ft','spinta necessaria a quota 15000 ft');
figure(2);
plot(V*3600/1000,P1/1000,'b',V*3600/1000,Pn1/1000,'--b',V*3600/1000,P2/1000,'black',V*3600/1000,Pn2/1000,'--black',V*3600/1000,P3/1000,'r',V*3600/1000,Pn3/1000,'--r',V*3600/1000,P4/1000,'g',V*3600/1000,Pn4/1000,'--g');
grid on;
xlabel('Velocit di volo [Km/h]');
ylabel('Potenza [KW]');
title('Potenza necessaria e disponibile a varie quote');
legend('potenza disponibile a quota 0 ft','potenza necessaria a quota 0 ft','potenza disponibile a quota 5000 ft','potenza necessaria a quota 5000 ft','potenza disponibile a 10000 ft (quota di crociera)','potenza necessaria a quota 10000 ft (quota di crociera)','potenza disponibile a quota 15000 ft','potenza necessaria a quota 15000 ft');
figure(3);
plot(V*3600/1000,eta1,'b',V*3600/1000,eta2,'black',V*3600/1000,eta3,'r',V*3600/1000,eta4,'g');
grid on;
xlabel('Velocit di volo [Km/h]');
ylabel('Rendimento dell''elica \eta');
title('Rendimento dell''elica a varie quote');
legend('z=0 ft','z=5000 ft','z=10000 ft (quota di crociera)','z=15000 ft');
